org.apache.tinkerpop.gremlin.process.traversal.step.filter

## Class WhereTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.WhereTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.WhereTest.Traversals

- Enclosing class:
    WhereTest

      public static class WhereTest.Traversals
      extends WhereTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.filter.WhereTest

      `WhereTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,Map<String,Object>>` | `get_g_V_asXaX_out_asXbX_whereXandXasXaX_outXknowsX_asXbX__orXasXbX_outXcreatedX_hasXname_rippleX__asXbX_inXknowsX_count_isXnotXeqX0XXXXX_selectXa_bX()`
    `Traversal<Vertex,Map<String,Object>>` | `get_g_V_asXaX_out_asXbX_whereXin_count_isXeqX3XX_or_whereXoutXcreatedX_and_hasXlabel_personXXX_selectXa_bX()`
    `Traversal<Vertex,Map<String,String>>` | `get_g_V_asXaX_outEXcreatedX_asXbX_inV_asXcX_inXcreatedX_asXdX_whereXa_ltXbX_orXgtXcXX_andXneqXdXXX_byXageX_byXweightX_byXinXcreatedX_valuesXageX_minX_selectXa_c_dX()`
    `Traversal<Vertex,Map<String,String>>` | `get_g_V_asXaX_outEXcreatedX_asXbX_inV_asXcX_whereXa_gtXbX_orXeqXbXXX_byXageX_byXweightX_byXweightX_selectXa_cX_byXnameX()`
    `Traversal<Vertex,Map<String,Object>>` | `get_g_V_asXaX_outXcreatedX_asXbX_inXcreatedX_asXcX_bothXknowsX_bothXknowsX_asXdX_whereXc__notXeqXaX_orXeqXdXXXX_selectXa_b_c_dX()`
    `Traversal<Vertex,Map<String,Object>>` | `get_g_V_asXaX_outXcreatedX_asXbX_whereXandXasXbX_in__notXasXaX_outXcreatedX_hasXname_rippleXXX_selectXa_bX()`
    `Traversal<Vertex,Map<String,String>>` | `get_g_V_asXaX_outXcreatedX_inXcreatedX_asXbX_whereXa_gtXbXX_byXageX_selectXa_bX_byXnameX()`
    `Traversal<Vertex,String>` | `get_g_V_asXaX_outXcreatedX_whereXasXaX_name_isXjoshXX_inXcreatedX_name()`
    `Traversal<Vertex,Map<String,Object>>` | `get_g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXa_eqXbXX()`
    `Traversal<Vertex,Map<String,Object>>` | `get_g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXa_neqXbXX()`
    `Traversal<Vertex,Map<String,Object>>` | `get_g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXa_outXknowsX_bX()`
    `Traversal<Vertex,Map<String,Object>>` | `get_g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXb_hasXname_markoXX()`
    `Traversal<Vertex,String>` | `get_g_V_whereXnotXoutXcreatedXXX_name()`
    `Traversal<Vertex,String>` | `get_g_V_whereXoutXcreatedX_and_outXknowsX_or_inXknowsXX_valuesXnameX()`
    `Traversal<Vertex,String>` | `get_g_VX1X_asXaX_out_hasXageX_whereXgtXaXX_byXageX_name(Object v1Id)`
    `Traversal<Vertex,String>` | `get_g_VX1X_asXaX_outXcreatedX_inXcreatedX_asXbX_whereXa_neqXbXX_name(Object v1Id)`
    `Traversal<Vertex,Object>` | `get_g_VX1X_asXaX_outXcreatedX_inXcreatedX_asXbX_whereXasXbX_outXcreatedX_hasXname_rippleXX_valuesXage_nameX(Object v1Id)`
    `Traversal<Vertex,String>` | `get_g_VX1X_asXaX_outXcreatedX_inXcreatedX_whereXeqXaXX_name(Object v1Id)`
    `Traversal<Vertex,String>` | `get_g_VX1X_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_name(Object v1Id)`
    `Traversal<Vertex,Vertex>` | `get_g_VX1X_out_aggregateXxX_out_whereXnotXwithinXaXXX(Object v1Id)`
    `Traversal<Vertex,Path>` | `get_g_VX1X_repeatXbothEXcreatedX_whereXwithoutXeXX_aggregateXeX_otherVX_emit_path(Object v1Id)`
    `Traversal<Vertex,String>` | `get_g_VX3X_asXaX_in_out_asXbX_whereXa_eqXbXX_byXageX_name(Object v3Id)`
    `Traversal<Vertex,Vertex>` | `get_g_withSideEffectXa_graph_verticesX2XX_VX1X_out_whereXneqXaXX(Object v1Id, Object v2)`
    `Traversal<Vertex,String>` | `get_g_withSideEffectXa_josh_peterX_VX1X_outXcreatedX_inXcreatedX_name_whereXwithinXaXX(Object v1Id)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.filter.WhereTest

      `g_V_asXaX_out_asXbX_whereXandXasXaX_outXknowsX_asXbX__orXasXbX_outXcreatedX_hasXname_rippleX__asXbX_inXknowsX_count_isXnotXeqX0XXXXX_selectXa_bX, g_V_asXaX_out_asXbX_whereXin_count_isXeqX3XX_or_whereXoutXcreatedX_and_hasXlabel_personXXX_selectXa_bX, g_V_asXaX_outEXcreatedX_asXbX_inV_asXcX_inXcreatedX_asXdX_whereXa_ltXbX_orXgtXcXX_andXneqXdXXX_byXageX_byXweightX_byXinXcreatedX_valuesXageX_minX_selectXa_c_dX, g_V_asXaX_outEXcreatedX_asXbX_inV_asXcX_whereXa_gtXbX_orXeqXbXXX_byXageX_byXweightX_byXweightX_selectXa_cX_byXnameX, g_V_asXaX_outXcreatedX_asXbX_inXcreatedX_asXcX_bothXknowsX_bothXknowsX_asXdX_whereXc__notXeqXaX_orXeqXdXXXX_selectXa_b_c_dX, g_V_asXaX_outXcreatedX_asXbX_whereXandXasXbX_in__notXasXaX_outXcreatedX_hasXname_rippleXXX_selectXa_bX, g_V_asXaX_outXcreatedX_inXcreatedX_asXbX_whereXa_gtXbXX_byXageX_selectXa_bX_byXnameX, g_V_asXaX_outXcreatedX_whereXasXaX_name_isXjoshXX_inXcreatedX_name, g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXa_eqXbXX, g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXa_neqXbXX, g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXa_outXknowsX_bX, g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXb_hasXname_markoXX, g_V_whereXnotXoutXcreatedXXX_name, g_V_whereXoutXcreatedX_and_outXknowsX_or_inXknowsXX_valuesXnameX, g_VX1X_asXaX_out_hasXageX_whereXgtXaXX_byXageX_name, g_VX1X_asXaX_outXcreatedX_inXcreatedX_asXbX_whereXa_neqXbXX_name, g_VX1X_asXaX_outXcreatedX_inXcreatedX_asXbX_whereXasXbX_outXcreatedX_hasXname_rippleXX_valuesXage_nameX, g_VX1X_asXaX_outXcreatedX_inXcreatedX_whereXeqXaXX_name, g_VX1X_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_name, g_VX1X_out_aggregateXxX_out_whereXnotXwithinXaXXX, g_VX1X_repeatXbothEXcreatedX_whereXwithoutXeXX_aggregateXeX_otherVX_emit_path, g_VX3X_asXaX_in_out_asXbX_whereXa_eqXbXX_byXageX_name, g_withSideEffectXa_g_VX2XX_VX1X_out_whereXneqXaXX, g_withSideEffectXa_josh_peterX_VX1X_outXcreatedX_inXcreatedX_name_whereXwithinXaXX`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXa_eqXbXX

          public Traversal<Vertex,Map<String,Object>> get_g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXa_eqXbXX()

      Specified by:
        `get_g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXa_eqXbXX` in class `WhereTest`

    - #### get_g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXa_neqXbXX

          public Traversal<Vertex,Map<String,Object>> get_g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXa_neqXbXX()

      Specified by:
        `get_g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXa_neqXbXX` in class `WhereTest`

    - #### get_g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXb_hasXname_markoXX

          public Traversal<Vertex,Map<String,Object>> get_g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXb_hasXname_markoXX()

      Specified by:
        `get_g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXb_hasXname_markoXX` in class `WhereTest`

    - #### get_g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXa_outXknowsX_bX

          public Traversal<Vertex,Map<String,Object>> get_g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXa_outXknowsX_bX()

      Specified by:
        `get_g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXa_outXknowsX_bX` in class `WhereTest`

    - #### get_g_V_asXaX_outXcreatedX_whereXasXaX_name_isXjoshXX_inXcreatedX_name

          public Traversal<Vertex,String> get_g_V_asXaX_outXcreatedX_whereXasXaX_name_isXjoshXX_inXcreatedX_name()

      Specified by:
        `get_g_V_asXaX_outXcreatedX_whereXasXaX_name_isXjoshXX_inXcreatedX_name` in class `WhereTest`

    - #### get_g_withSideEffectXa_josh_peterX_VX1X_outXcreatedX_inXcreatedX_name_whereXwithinXaXX

          public Traversal<Vertex,String> get_g_withSideEffectXa_josh_peterX_VX1X_outXcreatedX_inXcreatedX_name_whereXwithinXaXX(Object v1Id)

      Specified by:
        `get_g_withSideEffectXa_josh_peterX_VX1X_outXcreatedX_inXcreatedX_name_whereXwithinXaXX` in class `WhereTest`

    - #### get_g_VX1X_asXaX_outXcreatedX_inXcreatedX_asXbX_whereXa_neqXbXX_name

          public Traversal<Vertex,String> get_g_VX1X_asXaX_outXcreatedX_inXcreatedX_asXbX_whereXa_neqXbXX_name(Object v1Id)

      Specified by:
        `get_g_VX1X_asXaX_outXcreatedX_inXcreatedX_asXbX_whereXa_neqXbXX_name` in class `WhereTest`

    - #### get_g_VX1X_asXaX_outXcreatedX_inXcreatedX_asXbX_whereXasXbX_outXcreatedX_hasXname_rippleXX_valuesXage_nameX

          public Traversal<Vertex,Object> get_g_VX1X_asXaX_outXcreatedX_inXcreatedX_asXbX_whereXasXbX_outXcreatedX_hasXname_rippleXX_valuesXage_nameX(Object v1Id)

      Specified by:
        `get_g_VX1X_asXaX_outXcreatedX_inXcreatedX_asXbX_whereXasXbX_outXcreatedX_hasXname_rippleXX_valuesXage_nameX` in class `WhereTest`

    - #### get_g_VX1X_asXaX_outXcreatedX_inXcreatedX_whereXeqXaXX_name

          public Traversal<Vertex,String> get_g_VX1X_asXaX_outXcreatedX_inXcreatedX_whereXeqXaXX_name(Object v1Id)

      Specified by:
        `get_g_VX1X_asXaX_outXcreatedX_inXcreatedX_whereXeqXaXX_name` in class `WhereTest`

    - #### get_g_VX1X_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_name

          public Traversal<Vertex,String> get_g_VX1X_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_name(Object v1Id)

      Specified by:
        `get_g_VX1X_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_name` in class `WhereTest`

    - #### get_g_VX1X_out_aggregateXxX_out_whereXnotXwithinXaXXX

          public Traversal<Vertex,Vertex> get_g_VX1X_out_aggregateXxX_out_whereXnotXwithinXaXXX(Object v1Id)

      Specified by:
        `get_g_VX1X_out_aggregateXxX_out_whereXnotXwithinXaXXX` in class `WhereTest`

    - #### get_g_withSideEffectXa_graph_verticesX2XX_VX1X_out_whereXneqXaXX

          public Traversal<Vertex,Vertex> get_g_withSideEffectXa_graph_verticesX2XX_VX1X_out_whereXneqXaXX(Object v1Id,
                                                                                                           Object v2)

      Specified by:
        `get_g_withSideEffectXa_graph_verticesX2XX_VX1X_out_whereXneqXaXX` in class `WhereTest`

    - #### get_g_VX1X_repeatXbothEXcreatedX_whereXwithoutXeXX_aggregateXeX_otherVX_emit_path

          public Traversal<Vertex,Path> get_g_VX1X_repeatXbothEXcreatedX_whereXwithoutXeXX_aggregateXeX_otherVX_emit_path(Object v1Id)

      Specified by:
        `get_g_VX1X_repeatXbothEXcreatedX_whereXwithoutXeXX_aggregateXeX_otherVX_emit_path` in class `WhereTest`

    - #### get_g_V_whereXnotXoutXcreatedXXX_name

          public Traversal<Vertex,String> get_g_V_whereXnotXoutXcreatedXXX_name()

      Specified by:
        `get_g_V_whereXnotXoutXcreatedXXX_name` in class `WhereTest`

    - #### get_g_V_asXaX_out_asXbX_whereXandXasXaX_outXknowsX_asXbX__orXasXbX_outXcreatedX_hasXname_rippleX__asXbX_inXknowsX_count_isXnotXeqX0XXXXX_selectXa_bX

          public Traversal<Vertex,Map<String,Object>> get_g_V_asXaX_out_asXbX_whereXandXasXaX_outXknowsX_asXbX__orXasXbX_outXcreatedX_hasXname_rippleX__asXbX_inXknowsX_count_isXnotXeqX0XXXXX_selectXa_bX()

      Specified by:
        `get_g_V_asXaX_out_asXbX_whereXandXasXaX_outXknowsX_asXbX__orXasXbX_outXcreatedX_hasXname_rippleX__asXbX_inXknowsX_count_isXnotXeqX0XXXXX_selectXa_bX` in class `WhereTest`

    - #### get_g_V_whereXoutXcreatedX_and_outXknowsX_or_inXknowsXX_valuesXnameX

          public Traversal<Vertex,String> get_g_V_whereXoutXcreatedX_and_outXknowsX_or_inXknowsXX_valuesXnameX()

      Specified by:
        `get_g_V_whereXoutXcreatedX_and_outXknowsX_or_inXknowsXX_valuesXnameX` in class `WhereTest`

    - #### get_g_V_asXaX_outXcreatedX_asXbX_whereXandXasXbX_in__notXasXaX_outXcreatedX_hasXname_rippleXXX_selectXa_bX

          public Traversal<Vertex,Map<String,Object>> get_g_V_asXaX_outXcreatedX_asXbX_whereXandXasXbX_in__notXasXaX_outXcreatedX_hasXname_rippleXXX_selectXa_bX()

      Specified by:
        `get_g_V_asXaX_outXcreatedX_asXbX_whereXandXasXbX_in__notXasXaX_outXcreatedX_hasXname_rippleXXX_selectXa_bX` in class `WhereTest`

    - #### get_g_V_asXaX_outXcreatedX_asXbX_inXcreatedX_asXcX_bothXknowsX_bothXknowsX_asXdX_whereXc__notXeqXaX_orXeqXdXXXX_selectXa_b_c_dX

          public Traversal<Vertex,Map<String,Object>> get_g_V_asXaX_outXcreatedX_asXbX_inXcreatedX_asXcX_bothXknowsX_bothXknowsX_asXdX_whereXc__notXeqXaX_orXeqXdXXXX_selectXa_b_c_dX()

      Specified by:
        `get_g_V_asXaX_outXcreatedX_asXbX_inXcreatedX_asXcX_bothXknowsX_bothXknowsX_asXdX_whereXc__notXeqXaX_orXeqXdXXXX_selectXa_b_c_dX` in class `WhereTest`

    - #### get_g_V_asXaX_out_asXbX_whereXin_count_isXeqX3XX_or_whereXoutXcreatedX_and_hasXlabel_personXXX_selectXa_bX

          public Traversal<Vertex,Map<String,Object>> get_g_V_asXaX_out_asXbX_whereXin_count_isXeqX3XX_or_whereXoutXcreatedX_and_hasXlabel_personXXX_selectXa_bX()

      Specified by:
        `get_g_V_asXaX_out_asXbX_whereXin_count_isXeqX3XX_or_whereXoutXcreatedX_and_hasXlabel_personXXX_selectXa_bX` in class `WhereTest`

    - #### get_g_V_asXaX_outXcreatedX_inXcreatedX_asXbX_whereXa_gtXbXX_byXageX_selectXa_bX_byXnameX

          public Traversal<Vertex,Map<String,String>> get_g_V_asXaX_outXcreatedX_inXcreatedX_asXbX_whereXa_gtXbXX_byXageX_selectXa_bX_byXnameX()

      Specified by:
        `get_g_V_asXaX_outXcreatedX_inXcreatedX_asXbX_whereXa_gtXbXX_byXageX_selectXa_bX_byXnameX` in class `WhereTest`

    - #### get_g_V_asXaX_outEXcreatedX_asXbX_inV_asXcX_whereXa_gtXbX_orXeqXbXXX_byXageX_byXweightX_byXweightX_selectXa_cX_byXnameX

          public Traversal<Vertex,Map<String,String>> get_g_V_asXaX_outEXcreatedX_asXbX_inV_asXcX_whereXa_gtXbX_orXeqXbXXX_byXageX_byXweightX_byXweightX_selectXa_cX_byXnameX()

      Specified by:
        `get_g_V_asXaX_outEXcreatedX_asXbX_inV_asXcX_whereXa_gtXbX_orXeqXbXXX_byXageX_byXweightX_byXweightX_selectXa_cX_byXnameX` in class `WhereTest`

    - #### get_g_V_asXaX_outEXcreatedX_asXbX_inV_asXcX_inXcreatedX_asXdX_whereXa_ltXbX_orXgtXcXX_andXneqXdXXX_byXageX_byXweightX_byXinXcreatedX_valuesXageX_minX_selectXa_c_dX

          public Traversal<Vertex,Map<String,String>> get_g_V_asXaX_outEXcreatedX_asXbX_inV_asXcX_inXcreatedX_asXdX_whereXa_ltXbX_orXgtXcXX_andXneqXdXXX_byXageX_byXweightX_byXinXcreatedX_valuesXageX_minX_selectXa_c_dX()

      Specified by:
        `get_g_V_asXaX_outEXcreatedX_asXbX_inV_asXcX_inXcreatedX_asXdX_whereXa_ltXbX_orXgtXcXX_andXneqXdXXX_byXageX_byXweightX_byXinXcreatedX_valuesXageX_minX_selectXa_c_dX` in class `WhereTest`

    - #### get_g_VX1X_asXaX_out_hasXageX_whereXgtXaXX_byXageX_name

          public Traversal<Vertex,String> get_g_VX1X_asXaX_out_hasXageX_whereXgtXaXX_byXageX_name(Object v1Id)

      Specified by:
        `get_g_VX1X_asXaX_out_hasXageX_whereXgtXaXX_byXageX_name` in class `WhereTest`

    - #### get_g_VX3X_asXaX_in_out_asXbX_whereXa_eqXbXX_byXageX_name

          public Traversal<Vertex,String> get_g_VX3X_asXaX_in_out_asXbX_whereXa_eqXbXX_byXageX_name(Object v3Id)

      Specified by:
        `get_g_VX3X_asXaX_in_out_asXbX_whereXa_eqXbXX_byXageX_name` in class `WhereTest`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.